Loading...
Searching...
No Matches
Opm::BlackOilEnergyExtensiveQuantities< TypeTag, true > Class Template Reference

## Public Member Functions

void | updateEnergy (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
template<class Context, class BoundaryFluidState>
void | updateEnergyBoundary (const Context &ctx, unsigned scvfIdx, unsigned timeIdx, const BoundaryFluidState &boundaryFs)
const Evaluation & | energyFlux () const

## Static Public Member Functions

template<class FluidState>
static void | updateEnergy (Evaluation &energyFlux, const unsigned &focusDofIndex, const unsigned &inIdx, const unsigned &exIdx, const IntensiveQuantities &inIq, const IntensiveQuantities &exIq, const FluidState &inFs, const FluidState &exFs, const Scalar &inAlpha, const Scalar &outAlpha, const Scalar &faceArea)
template<class BoundaryFluidState>
static void | updateEnergyBoundary (Evaluation &energyFlux, const IntensiveQuantities &inIq, unsigned focusDofIndex, unsigned inIdx, Scalar alpha, const BoundaryFluidState &boundaryFs)

The documentation for this class was generated from the following file:

- opm/models/blackoil/blackoilenergymodules.hh